Runtime

## org.eclipse.gmf.runtime.notation
Interface NotationPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  NotationPackageImpl

public interface NotationPackage
extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `NotationFactory`
** Generated **
Model:
  kind="package"

Nested Class Summary
`static interface` `NotationPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes inherited from class org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `ALIGNMENT` The meta object id for the '`Alignment`' enum
`static int` `ANCHOR` The meta object id for the '`Anchor`' class
`static int` `ANCHOR_FEATURE_COUNT` The number of structural features of the 'Anchor' class
`static int` `BENDPOINTS` The meta object id for the '`Bendpoints`' class
`static int` `BENDPOINTS_FEATURE_COUNT` The number of structural features of the 'Bendpoints' class
`static int` `BOUNDS` The meta object id for the '`Bounds`' class
`static int` `BOUNDS__HEIGHT` The feature id for the 'Height' attribute
`static int` `BOUNDS__WIDTH` The feature id for the 'Width' attribute
`static int` `BOUNDS__X` The feature id for the 'X' attribute
`static int` `BOUNDS__Y` The feature id for the 'Y' attribute
`static int` `BOUNDS_FEATURE_COUNT` The number of structural features of the 'Bounds' class
`static int` `CANONICAL_STYLE` The meta object id for the '`Canonical Style`' class
`static int` `CANONICAL_STYLE__CANONICAL` The feature id for the 'Canonical' attribute
`static int` `CANONICAL_STYLE_FEATURE_COUNT` The number of structural features of the 'Canonical Style' class
`static int` `CONNECTOR_STYLE` The meta object id for the '`Connector Style`' class
`static int` `CONNECTOR_STYLE__AVOID_OBSTRUCTIONS` The feature id for the 'Avoid Obstructions' attribute
`static int` `CONNECTOR_STYLE__CLOSEST_DISTANCE` The feature id for the 'Closest Distance' attribute
`static int` `CONNECTOR_STYLE__JUMP_LINK_STATUS` The feature id for the 'Jump Link Status' attribute
`static int` `CONNECTOR_STYLE__JUMP_LINK_TYPE` The feature id for the 'Jump Link Type' attribute
`static int` `CONNECTOR_STYLE__JUMP_LINKS_REVERSE` The feature id for the 'Jump Links Reverse' attribute
`static int` `CONNECTOR_STYLE__LINE_COLOR` The feature id for the 'Line Color' attribute
`static int` `CONNECTOR_STYLE__ROUTING` The feature id for the 'Routing' attribute
`static int` `CONNECTOR_STYLE__SMOOTHNESS` The feature id for the 'Smoothness' attribute
`static int` `CONNECTOR_STYLE_FEATURE_COUNT` The number of structural features of the 'Connector Style' class
`static int` `DESCRIPTION_STYLE` The meta object id for the '`Description Style`' class
`static int` `DESCRIPTION_STYLE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `DESCRIPTION_STYLE_FEATURE_COUNT` The number of structural features of the 'Description Style' class
`static int` `DIAGRAM` The meta object id for the '`Diagram`' class
`static int` `DIAGRAM__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `DIAGRAM__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `DIAGRAM__ELEMENT` The feature id for the 'Element' reference
`static int` `DIAGRAM__MEASUREMENT_UNIT` The feature id for the 'Measurement Unit' attribute
`static int` `DIAGRAM__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `DIAGRAM__NAME` The feature id for the 'Name' attribute
`static int` `DIAGRAM__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `DIAGRAM__PERSISTED_EDGES` The feature id for the 'Persisted Edges' containment reference list
`static int` `DIAGRAM__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `DIAGRAM__STYLES` The feature id for the 'Styles' containment reference list
`static int` `DIAGRAM__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `DIAGRAM__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `DIAGRAM__TRANSIENT_EDGES` The feature id for the 'Transient Edges' containment reference list
`static int` `DIAGRAM__TYPE` The feature id for the 'Type' attribute
`static int` `DIAGRAM__VISIBLE` The feature id for the 'Visible' attribute
`static int` `DIAGRAM_FEATURE_COUNT` The number of structural features of the 'Diagram' class
`static int` `DIAGRAM_STYLE` The meta object id for the '`Diagram Style`' class
`static int` `DIAGRAM_STYLE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `DIAGRAM_STYLE__HORIZONTAL_GUIDES` The feature id for the 'Horizontal Guides' containment reference list
`static int` `DIAGRAM_STYLE__PAGE_HEIGHT` The feature id for the 'Page Height' attribute
`static int` `DIAGRAM_STYLE__PAGE_WIDTH` The feature id for the 'Page Width' attribute
`static int` `DIAGRAM_STYLE__PAGE_X` The feature id for the 'Page X' attribute
`static int` `DIAGRAM_STYLE__PAGE_Y` The feature id for the 'Page Y' attribute
`static int` `DIAGRAM_STYLE__VERTICAL_GUIDES` The feature id for the 'Vertical Guides' containment reference list
`static int` `DIAGRAM_STYLE_FEATURE_COUNT` The number of structural features of the 'Diagram Style' class
`static int` `DRAWER_STYLE` The meta object id for the '`Drawer Style`' class
`static int` `DRAWER_STYLE__COLLAPSED` The feature id for the 'Collapsed' attribute
`static int` `DRAWER_STYLE_FEATURE_COUNT` The number of structural features of the 'Drawer Style' class
`static int` `EDGE` The meta object id for the '`Edge`' class
`static int` `EDGE__BENDPOINTS` The feature id for the 'Bendpoints' containment reference
`static int` `EDGE__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `EDGE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EDGE__ELEMENT` The feature id for the 'Element' reference
`static int` `EDGE__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `EDGE__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `EDGE__SOURCE` The feature id for the 'Source' reference
`static int` `EDGE__SOURCE_ANCHOR` The feature id for the 'Source Anchor' containment reference
`static int` `EDGE__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `EDGE__STYLES` The feature id for the 'Styles' containment reference list
`static int` `EDGE__TARGET` The feature id for the 'Target' reference
`static int` `EDGE__TARGET_ANCHOR` The feature id for the 'Target Anchor' containment reference
`static int` `EDGE__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `EDGE__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `EDGE__TYPE` The feature id for the 'Type' attribute
`static int` `EDGE__VISIBLE` The feature id for the 'Visible' attribute
`static int` `EDGE_FEATURE_COUNT` The number of structural features of the 'Edge' class
`static NotationPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `FILL_STYLE` The meta object id for the '`Fill Style`' class
`static int` `FILL_STYLE__FILL_COLOR` The feature id for the 'Fill Color' attribute
`static int` `FILL_STYLE_FEATURE_COUNT` The number of structural features of the 'Fill Style' class
`static int` `FILTER_KEY_LIST` The meta object id for the 'Filter Key List' data type
`static int` `FILTERING` The meta object id for the '`Filtering`' enum
`static int` `FILTERING_STYLE` The meta object id for the '`Filtering Style`' class
`static int` `FILTERING_STYLE__FILTERED_OBJECTS` The feature id for the 'Filtered Objects' reference list
`static int` `FILTERING_STYLE__FILTERING` The feature id for the 'Filtering' attribute
`static int` `FILTERING_STYLE__FILTERING_KEYS` The feature id for the 'Filtering Keys' attribute
`static int` `FILTERING_STYLE_FEATURE_COUNT` The number of structural features of the 'Filtering Style' class
`static int` `FONT_STYLE` The meta object id for the '`Font Style`' class
`static int` `FONT_STYLE__BOLD` The feature id for the 'Bold' attribute
`static int` `FONT_STYLE__FONT_COLOR` The feature id for the 'Font Color' attribute
`static int` `FONT_STYLE__FONT_HEIGHT` The feature id for the 'Font Height' attribute
`static int` `FONT_STYLE__FONT_NAME` The feature id for the 'Font Name' attribute
`static int` `FONT_STYLE__ITALIC` The feature id for the 'Italic' attribute
`static int` `FONT_STYLE__STRIKE_THROUGH` The feature id for the 'Strike Through' attribute
`static int` `FONT_STYLE__UNDERLINE` The feature id for the 'Underline' attribute
`static int` `FONT_STYLE_FEATURE_COUNT` The number of structural features of the 'Font Style' class
`static int` `GUIDE` The meta object id for the '`Guide`' class
`static int` `GUIDE__NODE_MAP` The feature id for the 'Node Map' map
`static int` `GUIDE__POSITION` The feature id for the 'Position' attribute
`static int` `GUIDE_FEATURE_COUNT` The number of structural features of the 'Guide' class
`static int` `GUIDE_STYLE` The meta object id for the '`Guide Style`' class
`static int` `GUIDE_STYLE__HORIZONTAL_GUIDES` The feature id for the 'Horizontal Guides' containment reference list
`static int` `GUIDE_STYLE__VERTICAL_GUIDES` The feature id for the 'Vertical Guides' containment reference list
`static int` `GUIDE_STYLE_FEATURE_COUNT` The number of structural features of the 'Guide Style' class
`static int` `IDENTITY_ANCHOR` The meta object id for the '`Identity Anchor`' class
`static int` `IDENTITY_ANCHOR__ID` The feature id for the 'Id' attribute
`static int` `IDENTITY_ANCHOR_FEATURE_COUNT` The number of structural features of the 'Identity Anchor' class
`static int` `IMAGE` The meta object id for the '`Image`' class
`static int` `IMAGE__DATA` The feature id for the 'Data' attribute
`static int` `IMAGE_BUFFER_STYLE` The meta object id for the '`Image Buffer Style`' class
`static int` `IMAGE_BUFFER_STYLE__ANTI_ALIAS` The feature id for the 'Anti Alias' attribute
`static int` `IMAGE_BUFFER_STYLE__CROP_BOUND` The feature id for the 'Crop Bound' containment reference
`static int` `IMAGE_BUFFER_STYLE__IMAGE_BUFFER` The feature id for the 'Image Buffer' containment reference
`static int` `IMAGE_BUFFER_STYLE__MAINTAIN_ASPECT_RATIO` The feature id for the 'Maintain Aspect Ratio' attribute
`static int` `IMAGE_BUFFER_STYLE_FEATURE_COUNT` The number of structural features of the 'Image Buffer Style' class
`static int` `IMAGE_FEATURE_COUNT` The number of structural features of the 'Image' class
`static int` `IMAGE_STYLE` The meta object id for the '`Image Style`' class
`static int` `IMAGE_STYLE__ANTI_ALIAS` The feature id for the 'Anti Alias' attribute
`static int` `IMAGE_STYLE__CROP_BOUND` The feature id for the 'Crop Bound' containment reference
`static int` `IMAGE_STYLE__MAINTAIN_ASPECT_RATIO` The feature id for the 'Maintain Aspect Ratio' attribute
`static int` `IMAGE_STYLE_FEATURE_COUNT` The number of structural features of the 'Image Style' class
`static int` `JUMP_LINK_STATUS` The meta object id for the '`Jump Link Status`' enum
`static int` `JUMP_LINK_TYPE` The meta object id for the '`Jump Link Type`' enum
`static int` `LAYOUT_CONSTRAINT` The meta object id for the '`Layout Constraint`' class
`static int` `LAYOUT_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Layout Constraint' class
`static int` `LINE_STYLE` The meta object id for the '`Line Style`' class
`static int` `LINE_STYLE__LINE_COLOR` The feature id for the 'Line Color' attribute
`static int` `LINE_STYLE_FEATURE_COUNT` The number of structural features of the 'Line Style' class
`static int` `LOCATION` The meta object id for the '`Location`' class
`static int` `LOCATION__X` The feature id for the 'X' attribute
`static int` `LOCATION__Y` The feature id for the 'Y' attribute
`static int` `LOCATION_FEATURE_COUNT` The number of structural features of the 'Location' class
`static int` `MEASUREMENT_UNIT` The meta object id for the '`Measurement Unit`' enum
`static int` `NODE` The meta object id for the '`Node`' class
`static int` `NODE__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `NODE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `NODE__ELEMENT` The feature id for the 'Element' reference
`static int` `NODE__LAYOUT_CONSTRAINT` The feature id for the 'Layout Constraint' containment reference
`static int` `NODE__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `NODE__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `NODE__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `NODE__STYLES` The feature id for the 'Styles' containment reference list
`static int` `NODE__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `NODE__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `NODE__TYPE` The feature id for the 'Type' attribute
`static int` `NODE__VISIBLE` The feature id for the 'Visible' attribute
`static int` `NODE_ENTRY` The meta object id for the '`Node Entry`' class
`static int` `NODE_ENTRY__KEY` The feature id for the 'Key' reference
`static int` `NODE_ENTRY__VALUE` The feature id for the 'Value' attribute
`static int` `NODE_ENTRY_FEATURE_COUNT` The number of structural features of the 'Node Entry' class
`static int` `NODE_FEATURE_COUNT` The number of structural features of the 'Node' class
`static int` `PAGE_STYLE` The meta object id for the '`Page Style`' class
`static int` `PAGE_STYLE__PAGE_HEIGHT` The feature id for the 'Page Height' attribute
`static int` `PAGE_STYLE__PAGE_WIDTH` The feature id for the 'Page Width' attribute
`static int` `PAGE_STYLE__PAGE_X` The feature id for the 'Page X' attribute
`static int` `PAGE_STYLE__PAGE_Y` The feature id for the 'Page Y' attribute
`static int` `PAGE_STYLE_FEATURE_COUNT` The number of structural features of the 'Page Style' class
`static int` `RATIO` The meta object id for the '`Ratio`' class
`static int` `RATIO__VALUE` The feature id for the 'Value' attribute
`static int` `RATIO_FEATURE_COUNT` The number of structural features of the 'Ratio' class
`static int` `RELATIVE_BENDPOINT_LIST` The meta object id for the 'Relative Bendpoint List' data type
`static int` `RELATIVE_BENDPOINTS` The meta object id for the '`Relative Bendpoints`' class
`static int` `RELATIVE_BENDPOINTS__POINTS` The feature id for the 'Points' attribute
`static int` `RELATIVE_BENDPOINTS_FEATURE_COUNT` The number of structural features of the 'Relative Bendpoints' class
`static int` `ROUTING` The meta object id for the '`Routing`' enum
`static int` `ROUTING_STYLE` The meta object id for the '`Routing Style`' class
`static int` `ROUTING_STYLE__AVOID_OBSTRUCTIONS` The feature id for the 'Avoid Obstructions' attribute
`static int` `ROUTING_STYLE__CLOSEST_DISTANCE` The feature id for the 'Closest Distance' attribute
`static int` `ROUTING_STYLE__JUMP_LINK_STATUS` The feature id for the 'Jump Link Status' attribute
`static int` `ROUTING_STYLE__JUMP_LINK_TYPE` The feature id for the 'Jump Link Type' attribute
`static int` `ROUTING_STYLE__JUMP_LINKS_REVERSE` The feature id for the 'Jump Links Reverse' attribute
`static int` `ROUTING_STYLE__ROUTING` The feature id for the 'Routing' attribute
`static int` `ROUTING_STYLE__SMOOTHNESS` The feature id for the 'Smoothness' attribute
`static int` `ROUTING_STYLE_FEATURE_COUNT` The number of structural features of the 'Routing Style' class
`static int` `SHAPE_STYLE` The meta object id for the '`Shape Style`' class
`static int` `SHAPE_STYLE__BOLD` The feature id for the 'Bold' attribute
`static int` `SHAPE_STYLE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `SHAPE_STYLE__FILL_COLOR` The feature id for the 'Fill Color' attribute
`static int` `SHAPE_STYLE__FONT_COLOR` The feature id for the 'Font Color' attribute
`static int` `SHAPE_STYLE__FONT_HEIGHT` The feature id for the 'Font Height' attribute
`static int` `SHAPE_STYLE__FONT_NAME` The feature id for the 'Font Name' attribute
`static int` `SHAPE_STYLE__ITALIC` The feature id for the 'Italic' attribute
`static int` `SHAPE_STYLE__LINE_COLOR` The feature id for the 'Line Color' attribute
`static int` `SHAPE_STYLE__STRIKE_THROUGH` The feature id for the 'Strike Through' attribute
`static int` `SHAPE_STYLE__UNDERLINE` The feature id for the 'Underline' attribute
`static int` `SHAPE_STYLE_FEATURE_COUNT` The number of structural features of the 'Shape Style' class
`static int` `SIZE` The meta object id for the '`Size`' class
`static int` `SIZE__HEIGHT` The feature id for the 'Height' attribute
`static int` `SIZE__WIDTH` The feature id for the 'Width' attribute
`static int` `SIZE_FEATURE_COUNT` The number of structural features of the 'Size' class
`static int` `SMOOTHNESS` The meta object id for the '`Smoothness`' enum
`static int` `SORT_KEY_MAP` The meta object id for the 'Sort Key Map' data type
`static int` `SORTING` The meta object id for the '`Sorting`' enum
`static int` `SORTING_DIRECTION` The meta object id for the '`Sorting Direction`' enum
`static int` `SORTING_STYLE` The meta object id for the '`Sorting Style`' class
`static int` `SORTING_STYLE__SORTED_OBJECTS` The feature id for the 'Sorted Objects' reference list
`static int` `SORTING_STYLE__SORTING` The feature id for the 'Sorting' attribute
`static int` `SORTING_STYLE__SORTING_KEYS` The feature id for the 'Sorting Keys' attribute
`static int` `SORTING_STYLE_FEATURE_COUNT` The number of structural features of the 'Sorting Style' class
`static int` `STYLE` The meta object id for the '`Style`' class
`static int` `STYLE_FEATURE_COUNT` The number of structural features of the 'Style' class
`static int` `TITLE_STYLE` The meta object id for the '`Title Style`' class
`static int` `TITLE_STYLE__SHOW_TITLE` The feature id for the 'Show Title' attribute
`static int` `TITLE_STYLE_FEATURE_COUNT` The number of structural features of the 'Title Style' class
`static int` `VIEW` The meta object id for the '`View`' class
`static int` `VIEW__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `VIEW__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `VIEW__ELEMENT` The feature id for the 'Element' reference
`static int` `VIEW__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `VIEW__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `VIEW__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `VIEW__STYLES` The feature id for the 'Styles' containment reference list
`static int` `VIEW__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `VIEW__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `VIEW__TYPE` The feature id for the 'Type' attribute
`static int` `VIEW__VISIBLE` The feature id for the 'Visible' attribute
`static int` `VIEW_FEATURE_COUNT` The number of structural features of the 'View' class

Method Summary
`EEnum` `getAlignment()` Returns the meta object for enum '`Alignment`'
`EClass` `getAnchor()` Returns the meta object for class '`Anchor`'
`EClass` `getBendpoints()` Returns the meta object for class '`Bendpoints`'
`EClass` `getBounds()` Returns the meta object for class '`Bounds`'
`EAttribute` `getCanonicalStyle_Canonical()` Returns the meta object for the attribute '`Canonical`'
`EClass` `getCanonicalStyle()` Returns the meta object for class '`Canonical Style`'
`EClass` `getConnectorStyle()` Returns the meta object for class '`Connector Style`'
`EAttribute` `getDescriptionStyle_Description()` Returns the meta object for the attribute '`Description`'
`EClass` `getDescriptionStyle()` Returns the meta object for class '`Description Style`'
`EAttribute` `getDiagram_MeasurementUnit()` Returns the meta object for the attribute '`Measurement Unit`'
`EAttribute` `getDiagram_Name()` Returns the meta object for the attribute '`Name`'
`EReference` `getDiagram_PersistedEdges()` Returns the meta object for the containment reference list '`Persisted Edges`'
`EReference` `getDiagram_TransientEdges()` Returns the meta object for the containment reference list '`Transient Edges`'
`EClass` `getDiagram()` Returns the meta object for class '`Diagram`'
`EClass` `getDiagramStyle()` Returns the meta object for class '`Diagram Style`'
`EAttribute` `getDrawerStyle_Collapsed()` Returns the meta object for the attribute '`Collapsed`'
`EClass` `getDrawerStyle()` Returns the meta object for class '`Drawer Style`'
`EReference` `getEdge_Bendpoints()` Returns the meta object for the containment reference '`Bendpoints`'
`EReference` `getEdge_Source()` Returns the meta object for the reference '`Source`'
`EReference` `getEdge_SourceAnchor()` Returns the meta object for the containment reference '`Source Anchor`'
`EReference` `getEdge_Target()` Returns the meta object for the reference '`Target`'
`EReference` `getEdge_TargetAnchor()` Returns the meta object for the containment reference '`Target Anchor`'
`EClass` `getEdge()` Returns the meta object for class '`Edge`'
`EAttribute` `getFillStyle_FillColor()` Returns the meta object for the attribute '`Fill Color`'
`EClass` `getFillStyle()` Returns the meta object for class '`Fill Style`'
`EEnum` `getFiltering()` Returns the meta object for enum '`Filtering`'
`EReference` `getFilteringStyle_FilteredObjects()` Returns the meta object for the reference list '`Filtered Objects`'
`EAttribute` `getFilteringStyle_Filtering()` Returns the meta object for the attribute '`Filtering`'
`EAttribute` `getFilteringStyle_FilteringKeys()` Returns the meta object for the attribute '`Filtering Keys`'
`EClass` `getFilteringStyle()` Returns the meta object for class '`Filtering Style`'
`EDataType` `getFilterKeyList()` Returns the meta object for data type '`Filter Key List`'
`EAttribute` `getFontStyle_Bold()` Returns the meta object for the attribute '`Bold`'
`EAttribute` `getFontStyle_FontColor()` Returns the meta object for the attribute '`Font Color`'
`EAttribute` `getFontStyle_FontHeight()` Returns the meta object for the attribute '`Font Height`'
`EAttribute` `getFontStyle_FontName()` Returns the meta object for the attribute '`Font Name`'
`EAttribute` `getFontStyle_Italic()` Returns the meta object for the attribute '`Italic`'
`EAttribute` `getFontStyle_StrikeThrough()` Returns the meta object for the attribute '`Strike Through`'
`EAttribute` `getFontStyle_Underline()` Returns the meta object for the attribute '`Underline`'
`EClass` `getFontStyle()` Returns the meta object for class '`Font Style`'
`EReference` `getGuide_NodeMap()` Returns the meta object for the map '`Node Map`'
`EAttribute` `getGuide_Position()` Returns the meta object for the attribute '`Position`'
`EClass` `getGuide()` Returns the meta object for class '`Guide`'
`EReference` `getGuideStyle_HorizontalGuides()` Returns the meta object for the containment reference list '`Horizontal Guides`'
`EReference` `getGuideStyle_VerticalGuides()` Returns the meta object for the containment reference list '`Vertical Guides`'
`EClass` `getGuideStyle()` Returns the meta object for class '`Guide Style`'
`EAttribute` `getIdentityAnchor_Id()` Returns the meta object for the attribute '`Id`'
`EClass` `getIdentityAnchor()` Returns the meta object for class '`Identity Anchor`'
`EAttribute` `getImage_Data()` Returns the meta object for the attribute '`Data`'
`EClass` `getImage()` Returns the meta object for class '`Image`'
`EReference` `getImageBufferStyle_ImageBuffer()` Returns the meta object for the containment reference '`Image Buffer`'
`EClass` `getImageBufferStyle()` Returns the meta object for class '`Image Buffer Style`'
`EAttribute` `getImageStyle_AntiAlias()` Returns the meta object for the attribute '`Anti Alias`'
`EReference` `getImageStyle_CropBound()` Returns the meta object for the containment reference '`Crop Bound`'
`EAttribute` `getImageStyle_MaintainAspectRatio()` Returns the meta object for the attribute '`Maintain Aspect Ratio`'
`EClass` `getImageStyle()` Returns the meta object for class '`Image Style`'
`EEnum` `getJumpLinkStatus()` Returns the meta object for enum '`Jump Link Status`'
`EEnum` `getJumpLinkType()` Returns the meta object for enum '`Jump Link Type`'
`EClass` `getLayoutConstraint()` Returns the meta object for class '`Layout Constraint`'
`EAttribute` `getLineStyle_LineColor()` Returns the meta object for the attribute '`Line Color`'
`EClass` `getLineStyle()` Returns the meta object for class '`Line Style`'
`EAttribute` `getLocation_X()` Returns the meta object for the attribute '`X`'
`EAttribute` `getLocation_Y()` Returns the meta object for the attribute '`Y`'
`EClass` `getLocation()` Returns the meta object for class '`Location`'
`EEnum` `getMeasurementUnit()` Returns the meta object for enum '`Measurement Unit`'
`EReference` `getNode_LayoutConstraint()` Returns the meta object for the containment reference '`Layout Constraint`'
`EClass` `getNode()` Returns the meta object for class '`Node`'
`EReference` `getNodeEntry_Key()` Returns the meta object for the reference '`Key`'
`EAttribute` `getNodeEntry_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getNodeEntry()` Returns the meta object for class '`Node Entry`'
`NotationFactory` `getNotationFactory()` Returns the factory that creates the instances of the model
`EAttribute` `getPageStyle_PageHeight()` Returns the meta object for the attribute '`Page Height`'
`EAttribute` `getPageStyle_PageWidth()` Returns the meta object for the attribute '`Page Width`'
`EAttribute` `getPageStyle_PageX()` Returns the meta object for the attribute '`Page X`'
`EAttribute` `getPageStyle_PageY()` Returns the meta object for the attribute '`Page Y`'
`EClass` `getPageStyle()` Returns the meta object for class '`Page Style`'
`EAttribute` `getRatio_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getRatio()` Returns the meta object for class '`Ratio`'
`EDataType` `getRelativeBendpointList()` Returns the meta object for data type '`Relative Bendpoint List`'
`EAttribute` `getRelativeBendpoints_Points()` Returns the meta object for the attribute '`Points`'
`EClass` `getRelativeBendpoints()` Returns the meta object for class '`Relative Bendpoints`'
`EEnum` `getRouting()` Returns the meta object for enum '`Routing`'
`EAttribute` `getRoutingStyle_AvoidObstructions()` Returns the meta object for the attribute '`Avoid Obstructions`'
`EAttribute` `getRoutingStyle_ClosestDistance()` Returns the meta object for the attribute '`Closest Distance`'
`EAttribute` `getRoutingStyle_JumpLinksReverse()` Returns the meta object for the attribute '`Jump Links Reverse`'
`EAttribute` `getRoutingStyle_JumpLinkStatus()` Returns the meta object for the attribute '`Jump Link Status`'
`EAttribute` `getRoutingStyle_JumpLinkType()` Returns the meta object for the attribute '`Jump Link Type`'
`EAttribute` `getRoutingStyle_Routing()` Returns the meta object for the attribute '`Routing`'
`EAttribute` `getRoutingStyle_Smoothness()` Returns the meta object for the attribute '`Smoothness`'
`EClass` `getRoutingStyle()` Returns the meta object for class '`Routing Style`'
`EClass` `getShapeStyle()` Returns the meta object for class '`Shape Style`'
`EAttribute` `getSize_Height()` Returns the meta object for the attribute '`Height`'
`EAttribute` `getSize_Width()` Returns the meta object for the attribute '`Width`'
`EClass` `getSize()` Returns the meta object for class '`Size`'
`EEnum` `getSmoothness()` Returns the meta object for enum '`Smoothness`'
`EEnum` `getSorting()` Returns the meta object for enum '`Sorting`'
`EEnum` `getSortingDirection()` Returns the meta object for enum '`Sorting Direction`'
`EReference` `getSortingStyle_SortedObjects()` Returns the meta object for the reference list '`Sorted Objects`'
`EAttribute` `getSortingStyle_Sorting()` Returns the meta object for the attribute '`Sorting`'
`EAttribute` `getSortingStyle_SortingKeys()` Returns the meta object for the attribute '`Sorting Keys`'
`EClass` `getSortingStyle()` Returns the meta object for class '`Sorting Style`'
`EDataType` `getSortKeyMap()` Returns the meta object for data type '`Sort Key Map`'
`EClass` `getStyle()` Returns the meta object for class '`Style`'
`EAttribute` `getTitleStyle_ShowTitle()` Returns the meta object for the attribute '`Show Title`'
`EClass` `getTitleStyle()` Returns the meta object for class '`Title Style`'
`EReference` `getView_Diagram()` Returns the meta object for the reference '`Diagram`'
`EReference` `getView_Element()` Returns the meta object for the reference '`Element`'
`EAttribute` `getView_Mutable()` Returns the meta object for the attribute '`Mutable`'
`EReference` `getView_PersistedChildren()` Returns the meta object for the containment reference list '`Persisted Children`'
`EReference` `getView_SourceEdges()` Returns the meta object for the reference list '`Source Edges`'
`EReference` `getView_Styles()` Returns the meta object for the containment reference list '`Styles`'
`EReference` `getView_TargetEdges()` Returns the meta object for the reference list '`Target Edges`'
`EReference` `getView_TransientChildren()` Returns the meta object for the containment reference list '`Transient Children`'
`EAttribute` `getView_Type()` Returns the meta object for the attribute '`Type`'
`EAttribute` `getView_Visible()` Returns the meta object for the attribute '`Visible`'
`EClass` `getView()` Returns the meta object for class '`View`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    public static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_URI

    public static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_PREFIX

    public static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values
  ** Generated **

### eINSTANCE

    public static final NotationPackage eINSTANCE

  The singleton instance of the package.

  ** Generated **

### VIEW

    public static final int VIEW

  The meta object id for the '`View`' class.

  See Also:
    `ViewImpl`, `NotationPackageImpl.getView()`, Constant Field Values
  ** Generated **

### VIEW__EANNOTATIONS

    public static final int VIEW__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__VISIBLE

    public static final int VIEW__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__TYPE

    public static final int VIEW__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__MUTABLE

    public static final int VIEW__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__SOURCE_EDGES

    public static final int VIEW__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__TARGET_EDGES

    public static final int VIEW__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__PERSISTED_CHILDREN

    public static final int VIEW__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__STYLES

    public static final int VIEW__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__ELEMENT

    public static final int VIEW__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__DIAGRAM

    public static final int VIEW__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__TRANSIENT_CHILDREN

    public static final int VIEW__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW_FEATURE_COUNT

    public static final int VIEW_FEATURE_COUNT

  The number of structural features of the 'View' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE

    public static final int EDGE

  The meta object id for the '`Edge`' class.

  See Also:
    `EdgeImpl`, `NotationPackageImpl.getEdge()`, Constant Field Values
  ** Generated **

### EDGE__EANNOTATIONS

    public static final int EDGE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__VISIBLE

    public static final int EDGE__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__TYPE

    public static final int EDGE__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__MUTABLE

    public static final int EDGE__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__SOURCE_EDGES

    public static final int EDGE__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__TARGET_EDGES

    public static final int EDGE__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__PERSISTED_CHILDREN

    public static final int EDGE__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__STYLES

    public static final int EDGE__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__ELEMENT

    public static final int EDGE__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__DIAGRAM

    public static final int EDGE__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__TRANSIENT_CHILDREN

    public static final int EDGE__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__SOURCE

    public static final int EDGE__SOURCE

  The feature id for the 'Source' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__TARGET

    public static final int EDGE__TARGET

  The feature id for the 'Target' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__BENDPOINTS

    public static final int EDGE__BENDPOINTS

  The feature id for the 'Bendpoints' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__SOURCE_ANCHOR

    public static final int EDGE__SOURCE_ANCHOR

  The feature id for the 'Source Anchor' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__TARGET_ANCHOR

    public static final int EDGE__TARGET_ANCHOR

  The feature id for the 'Target Anchor' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE_FEATURE_COUNT

    public static final int EDGE_FEATURE_COUNT

  The number of structural features of the 'Edge' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE

    public static final int NODE

  The meta object id for the '`Node`' class.

  See Also:
    `NodeImpl`, `NotationPackageImpl.getNode()`, Constant Field Values
  ** Generated **

### NODE__EANNOTATIONS

    public static final int NODE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__VISIBLE

    public static final int NODE__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__TYPE

    public static final int NODE__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__MUTABLE

    public static final int NODE__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__SOURCE_EDGES

    public static final int NODE__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__TARGET_EDGES

    public static final int NODE__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__PERSISTED_CHILDREN

    public static final int NODE__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__STYLES

    public static final int NODE__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__ELEMENT

    public static final int NODE__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__DIAGRAM

    public static final int NODE__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__TRANSIENT_CHILDREN

    public static final int NODE__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__LAYOUT_CONSTRAINT

    public static final int NODE__LAYOUT_CONSTRAINT

  The feature id for the 'Layout Constraint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_FEATURE_COUNT

    public static final int NODE_FEATURE_COUNT

  The number of structural features of the 'Node' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STYLE

    public static final int STYLE

  The meta object id for the '`Style`' class.

  See Also:
    `Style`, `NotationPackageImpl.getStyle()`, Constant Field Values
  ** Generated **

### STYLE_FEATURE_COUNT

    public static final int STYLE_FEATURE_COUNT

  The number of structural features of the 'Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILL_STYLE

    public static final int FILL_STYLE

  The meta object id for the '`Fill Style`' class.

  See Also:
    `FillStyleImpl`, `NotationPackageImpl.getFillStyle()`, Constant Field Values
  ** Generated **

### FILL_STYLE__FILL_COLOR

    public static final int FILL_STYLE__FILL_COLOR

  The feature id for the 'Fill Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILL_STYLE_FEATURE_COUNT

    public static final int FILL_STYLE_FEATURE_COUNT

  The number of structural features of the 'Fill Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINE_STYLE

    public static final int LINE_STYLE

  The meta object id for the '`Line Style`' class.

  See Also:
    `LineStyleImpl`, `NotationPackageImpl.getLineStyle()`, Constant Field Values
  ** Generated **

### LINE_STYLE__LINE_COLOR

    public static final int LINE_STYLE__LINE_COLOR

  The feature id for the 'Line Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINE_STYLE_FEATURE_COUNT

    public static final int LINE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Line Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE

    public static final int FONT_STYLE

  The meta object id for the '`Font Style`' class.

  See Also:
    `FontStyleImpl`, `NotationPackageImpl.getFontStyle()`, Constant Field Values
  ** Generated **

### FONT_STYLE__FONT_COLOR

    public static final int FONT_STYLE__FONT_COLOR

  The feature id for the 'Font Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__FONT_NAME

    public static final int FONT_STYLE__FONT_NAME

  The feature id for the 'Font Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__FONT_HEIGHT

    public static final int FONT_STYLE__FONT_HEIGHT

  The feature id for the 'Font Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__BOLD

    public static final int FONT_STYLE__BOLD

  The feature id for the 'Bold' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__ITALIC

    public static final int FONT_STYLE__ITALIC

  The feature id for the 'Italic' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__UNDERLINE

    public static final int FONT_STYLE__UNDERLINE

  The feature id for the 'Underline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__STRIKE_THROUGH

    public static final int FONT_STYLE__STRIKE_THROUGH

  The feature id for the 'Strike Through' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE_FEATURE_COUNT

    public static final int FONT_STYLE_FEATURE_COUNT

  The number of structural features of the 'Font Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TITLE_STYLE

    public static final int TITLE_STYLE

  The meta object id for the '`Title Style`' class.

  See Also:
    `TitleStyleImpl`, `NotationPackageImpl.getTitleStyle()`, Constant Field Values
  ** Generated **

### TITLE_STYLE__SHOW_TITLE

    public static final int TITLE_STYLE__SHOW_TITLE

  The feature id for the 'Show Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TITLE_STYLE_FEATURE_COUNT

    public static final int TITLE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Title Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING_STYLE

    public static final int SORTING_STYLE

  The meta object id for the '`Sorting Style`' class.

  See Also:
    `SortingStyleImpl`, `NotationPackageImpl.getSortingStyle()`, Constant Field Values
  ** Generated **

### SORTING_STYLE__SORTING

    public static final int SORTING_STYLE__SORTING

  The feature id for the 'Sorting' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING_STYLE__SORTING_KEYS

    public static final int SORTING_STYLE__SORTING_KEYS

  The feature id for the 'Sorting Keys' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING_STYLE__SORTED_OBJECTS

    public static final int SORTING_STYLE__SORTED_OBJECTS

  The feature id for the 'Sorted Objects' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING_STYLE_FEATURE_COUNT

    public static final int SORTING_STYLE_FEATURE_COUNT

  The number of structural features of the 'Sorting Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DESCRIPTION_STYLE

    public static final int DESCRIPTION_STYLE

  The meta object id for the '`Description Style`' class.

  See Also:
    `DescriptionStyleImpl`, `NotationPackageImpl.getDescriptionStyle()`, Constant Field Values
  ** Generated **

### DESCRIPTION_STYLE__DESCRIPTION

    public static final int DESCRIPTION_STYLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DESCRIPTION_STYLE_FEATURE_COUNT

    public static final int DESCRIPTION_STYLE_FEATURE_COUNT

  The number of structural features of the 'Description Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LAYOUT_CONSTRAINT

    public static final int LAYOUT_CONSTRAINT

  The meta object id for the '`Layout Constraint`' class.

  See Also:
    `LayoutConstraint`, `NotationPackageImpl.getLayoutConstraint()`, Constant Field Values
  ** Generated **

### LAYOUT_CONSTRAINT_FEATURE_COUNT

    public static final int LAYOUT_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Layout Constraint' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SIZE

    public static final int SIZE

  The meta object id for the '`Size`' class.

  See Also:
    `SizeImpl`, `NotationPackageImpl.getSize()`, Constant Field Values
  ** Generated **

### SIZE__WIDTH

    public static final int SIZE__WIDTH

  The feature id for the 'Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SIZE__HEIGHT

    public static final int SIZE__HEIGHT

  The feature id for the 'Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SIZE_FEATURE_COUNT

    public static final int SIZE_FEATURE_COUNT

  The number of structural features of the 'Size' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LOCATION

    public static final int LOCATION

  The meta object id for the '`Location`' class.

  See Also:
    `LocationImpl`, `NotationPackageImpl.getLocation()`, Constant Field Values
  ** Generated **

### LOCATION__X

    public static final int LOCATION__X

  The feature id for the 'X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LOCATION__Y

    public static final int LOCATION__Y

  The feature id for the 'Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LOCATION_FEATURE_COUNT

    public static final int LOCATION_FEATURE_COUNT

  The number of structural features of the 'Location' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOUNDS

    public static final int BOUNDS

  The meta object id for the '`Bounds`' class.

  See Also:
    `BoundsImpl`, `NotationPackageImpl.getBounds()`, Constant Field Values
  ** Generated **

### BOUNDS__X

    public static final int BOUNDS__X

  The feature id for the 'X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOUNDS__Y

    public static final int BOUNDS__Y

  The feature id for the 'Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOUNDS__WIDTH

    public static final int BOUNDS__WIDTH

  The feature id for the 'Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOUNDS__HEIGHT

    public static final int BOUNDS__HEIGHT

  The feature id for the 'Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOUNDS_FEATURE_COUNT

    public static final int BOUNDS_FEATURE_COUNT

  The number of structural features of the 'Bounds' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RATIO

    public static final int RATIO

  The meta object id for the '`Ratio`' class.

  See Also:
    `RatioImpl`, `NotationPackageImpl.getRatio()`, Constant Field Values
  ** Generated **

### RATIO__VALUE

    public static final int RATIO__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RATIO_FEATURE_COUNT

    public static final int RATIO_FEATURE_COUNT

  The number of structural features of the 'Ratio' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ANCHOR

    public static final int ANCHOR

  The meta object id for the '`Anchor`' class.

  See Also:
    `Anchor`, `NotationPackageImpl.getAnchor()`, Constant Field Values
  ** Generated **

### ANCHOR_FEATURE_COUNT

    public static final int ANCHOR_FEATURE_COUNT

  The number of structural features of the 'Anchor' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BENDPOINTS

    public static final int BENDPOINTS

  The meta object id for the '`Bendpoints`' class.

  See Also:
    `Bendpoints`, `NotationPackageImpl.getBendpoints()`, Constant Field Values
  ** Generated **

### BENDPOINTS_FEATURE_COUNT

    public static final int BENDPOINTS_FEATURE_COUNT

  The number of structural features of the 'Bendpoints' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IDENTITY_ANCHOR

    public static final int IDENTITY_ANCHOR

  The meta object id for the '`Identity Anchor`' class.

  See Also:
    `IdentityAnchorImpl`, `NotationPackageImpl.getIdentityAnchor()`, Constant Field Values
  ** Generated **

### IDENTITY_ANCHOR__ID

    public static final int IDENTITY_ANCHOR__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IDENTITY_ANCHOR_FEATURE_COUNT

    public static final int IDENTITY_ANCHOR_FEATURE_COUNT

  The number of structural features of the 'Identity Anchor' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE

    public static final int ROUTING_STYLE

  The meta object id for the '`Routing Style`' class.

  See Also:
    `RoutingStyleImpl`, `NotationPackageImpl.getRoutingStyle()`, Constant Field Values
  ** Generated **

### ROUTING_STYLE__ROUTING

    public static final int ROUTING_STYLE__ROUTING

  The feature id for the 'Routing' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__SMOOTHNESS

    public static final int ROUTING_STYLE__SMOOTHNESS

  The feature id for the 'Smoothness' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__AVOID_OBSTRUCTIONS

    public static final int ROUTING_STYLE__AVOID_OBSTRUCTIONS

  The feature id for the 'Avoid Obstructions' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__CLOSEST_DISTANCE

    public static final int ROUTING_STYLE__CLOSEST_DISTANCE

  The feature id for the 'Closest Distance' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__JUMP_LINK_STATUS

    public static final int ROUTING_STYLE__JUMP_LINK_STATUS

  The feature id for the 'Jump Link Status' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__JUMP_LINK_TYPE

    public static final int ROUTING_STYLE__JUMP_LINK_TYPE

  The feature id for the 'Jump Link Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__JUMP_LINKS_REVERSE

    public static final int ROUTING_STYLE__JUMP_LINKS_REVERSE

  The feature id for the 'Jump Links Reverse' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE_FEATURE_COUNT

    public static final int ROUTING_STYLE_FEATURE_COUNT

  The number of structural features of the 'Routing Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RELATIVE_BENDPOINTS

    public static final int RELATIVE_BENDPOINTS

  The meta object id for the '`Relative Bendpoints`' class.

  See Also:
    `RelativeBendpointsImpl`, `NotationPackageImpl.getRelativeBendpoints()`, Constant Field Values
  ** Generated **

### RELATIVE_BENDPOINTS__POINTS

    public static final int RELATIVE_BENDPOINTS__POINTS

  The feature id for the 'Points' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RELATIVE_BENDPOINTS_FEATURE_COUNT

    public static final int RELATIVE_BENDPOINTS_FEATURE_COUNT

  The number of structural features of the 'Relative Bendpoints' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM

    public static final int DIAGRAM

  The meta object id for the '`Diagram`' class.

  See Also:
    `DiagramImpl`, `NotationPackageImpl.getDiagram()`, Constant Field Values
  ** Generated **

### DIAGRAM__EANNOTATIONS

    public static final int DIAGRAM__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__VISIBLE

    public static final int DIAGRAM__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__TYPE

    public static final int DIAGRAM__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__MUTABLE

    public static final int DIAGRAM__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__SOURCE_EDGES

    public static final int DIAGRAM__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__TARGET_EDGES

    public static final int DIAGRAM__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__PERSISTED_CHILDREN

    public static final int DIAGRAM__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__STYLES

    public static final int DIAGRAM__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__ELEMENT

    public static final int DIAGRAM__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__DIAGRAM

    public static final int DIAGRAM__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__TRANSIENT_CHILDREN

    public static final int DIAGRAM__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__NAME

    public static final int DIAGRAM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__MEASUREMENT_UNIT

    public static final int DIAGRAM__MEASUREMENT_UNIT

  The feature id for the 'Measurement Unit' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__PERSISTED_EDGES

    public static final int DIAGRAM__PERSISTED_EDGES

  The feature id for the 'Persisted Edges' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__TRANSIENT_EDGES

    public static final int DIAGRAM__TRANSIENT_EDGES

  The feature id for the 'Transient Edges' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_FEATURE_COUNT

    public static final int DIAGRAM_FEATURE_COUNT

  The number of structural features of the 'Diagram' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE

    public static final int IMAGE

  The meta object id for the '`Image`' class.

  See Also:
    `ImageImpl`, `NotationPackageImpl.getImage()`, Constant Field Values
  ** Generated **

### IMAGE__DATA

    public static final int IMAGE__DATA

  The feature id for the 'Data' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_FEATURE_COUNT

    public static final int IMAGE_FEATURE_COUNT

  The number of structural features of the 'Image' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANONICAL_STYLE

    public static final int CANONICAL_STYLE

  The meta object id for the '`Canonical Style`' class.

  See Also:
    `CanonicalStyleImpl`, `NotationPackageImpl.getCanonicalStyle()`, Constant Field Values
  ** Generated **

### CANONICAL_STYLE__CANONICAL

    public static final int CANONICAL_STYLE__CANONICAL

  The feature id for the 'Canonical' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANONICAL_STYLE_FEATURE_COUNT

    public static final int CANONICAL_STYLE_FEATURE_COUNT

  The number of structural features of the 'Canonical Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE

    public static final int SHAPE_STYLE

  The meta object id for the '`Shape Style`' class.

  See Also:
    `ShapeStyleImpl`, `NotationPackageImpl.getShapeStyle()`, Constant Field Values
  ** Generated **

### SHAPE_STYLE__FONT_COLOR

    public static final int SHAPE_STYLE__FONT_COLOR

  The feature id for the 'Font Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__FONT_NAME

    public static final int SHAPE_STYLE__FONT_NAME

  The feature id for the 'Font Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__FONT_HEIGHT

    public static final int SHAPE_STYLE__FONT_HEIGHT

  The feature id for the 'Font Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__BOLD

    public static final int SHAPE_STYLE__BOLD

  The feature id for the 'Bold' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__ITALIC

    public static final int SHAPE_STYLE__ITALIC

  The feature id for the 'Italic' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__UNDERLINE

    public static final int SHAPE_STYLE__UNDERLINE

  The feature id for the 'Underline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__STRIKE_THROUGH

    public static final int SHAPE_STYLE__STRIKE_THROUGH

  The feature id for the 'Strike Through' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__DESCRIPTION

    public static final int SHAPE_STYLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__FILL_COLOR

    public static final int SHAPE_STYLE__FILL_COLOR

  The feature id for the 'Fill Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__LINE_COLOR

    public static final int SHAPE_STYLE__LINE_COLOR

  The feature id for the 'Line Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE_FEATURE_COUNT

    public static final int SHAPE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Shape Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE

    public static final int CONNECTOR_STYLE

  The meta object id for the '`Connector Style`' class.

  See Also:
    `ConnectorStyleImpl`, `NotationPackageImpl.getConnectorStyle()`, Constant Field Values
  ** Generated **

### CONNECTOR_STYLE__ROUTING

    public static final int CONNECTOR_STYLE__ROUTING

  The feature id for the 'Routing' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__SMOOTHNESS

    public static final int CONNECTOR_STYLE__SMOOTHNESS

  The feature id for the 'Smoothness' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__AVOID_OBSTRUCTIONS

    public static final int CONNECTOR_STYLE__AVOID_OBSTRUCTIONS

  The feature id for the 'Avoid Obstructions' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__CLOSEST_DISTANCE

    public static final int CONNECTOR_STYLE__CLOSEST_DISTANCE

  The feature id for the 'Closest Distance' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__JUMP_LINK_STATUS

    public static final int CONNECTOR_STYLE__JUMP_LINK_STATUS

  The feature id for the 'Jump Link Status' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__JUMP_LINK_TYPE

    public static final int CONNECTOR_STYLE__JUMP_LINK_TYPE

  The feature id for the 'Jump Link Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__JUMP_LINKS_REVERSE

    public static final int CONNECTOR_STYLE__JUMP_LINKS_REVERSE

  The feature id for the 'Jump Links Reverse' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__LINE_COLOR

    public static final int CONNECTOR_STYLE__LINE_COLOR

  The feature id for the 'Line Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE_FEATURE_COUNT

    public static final int CONNECTOR_STYLE_FEATURE_COUNT

  The number of structural features of the 'Connector Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PAGE_STYLE

    public static final int PAGE_STYLE

  The meta object id for the '`Page Style`' class.

  See Also:
    `PageStyleImpl`, `NotationPackageImpl.getPageStyle()`, Constant Field Values
  ** Generated **

### PAGE_STYLE__PAGE_X

    public static final int PAGE_STYLE__PAGE_X

  The feature id for the 'Page X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PAGE_STYLE__PAGE_Y

    public static final int PAGE_STYLE__PAGE_Y

  The feature id for the 'Page Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PAGE_STYLE__PAGE_WIDTH

    public static final int PAGE_STYLE__PAGE_WIDTH

  The feature id for the 'Page Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PAGE_STYLE__PAGE_HEIGHT

    public static final int PAGE_STYLE__PAGE_HEIGHT

  The feature id for the 'Page Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PAGE_STYLE_FEATURE_COUNT

    public static final int PAGE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Page Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DRAWER_STYLE

    public static final int DRAWER_STYLE

  The meta object id for the '`Drawer Style`' class.

  See Also:
    `DrawerStyleImpl`, `NotationPackageImpl.getDrawerStyle()`, Constant Field Values
  ** Generated **

### DRAWER_STYLE__COLLAPSED

    public static final int DRAWER_STYLE__COLLAPSED

  The feature id for the 'Collapsed' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DRAWER_STYLE_FEATURE_COUNT

    public static final int DRAWER_STYLE_FEATURE_COUNT

  The number of structural features of the 'Drawer Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE_STYLE

    public static final int GUIDE_STYLE

  The meta object id for the '`Guide Style`' class.

  See Also:
    `GuideStyleImpl`, `NotationPackageImpl.getGuideStyle()`, Constant Field Values
  ** Generated **

### GUIDE_STYLE__HORIZONTAL_GUIDES

    public static final int GUIDE_STYLE__HORIZONTAL_GUIDES

  The feature id for the 'Horizontal Guides' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE_STYLE__VERTICAL_GUIDES

    public static final int GUIDE_STYLE__VERTICAL_GUIDES

  The feature id for the 'Vertical Guides' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE_STYLE_FEATURE_COUNT

    public static final int GUIDE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Guide Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE

    public static final int GUIDE

  The meta object id for the '`Guide`' class.

  See Also:
    `GuideImpl`, `NotationPackageImpl.getGuide()`, Constant Field Values
  ** Generated **

### GUIDE__POSITION

    public static final int GUIDE__POSITION

  The feature id for the 'Position' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE__NODE_MAP

    public static final int GUIDE__NODE_MAP

  The feature id for the 'Node Map' map.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE_FEATURE_COUNT

    public static final int GUIDE_FEATURE_COUNT

  The number of structural features of the 'Guide' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_ENTRY

    public static final int NODE_ENTRY

  The meta object id for the '`Node Entry`' class.

  See Also:
    `NodeEntryImpl`, `NotationPackageImpl.getNodeEntry()`, Constant Field Values
  ** Generated **

### NODE_ENTRY__VALUE

    public static final int NODE_ENTRY__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_ENTRY__KEY

    public static final int NODE_ENTRY__KEY

  The feature id for the 'Key' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_ENTRY_FEATURE_COUNT

    public static final int NODE_ENTRY_FEATURE_COUNT

  The number of structural features of the 'Node Entry' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILTERING_STYLE

    public static final int FILTERING_STYLE

  The meta object id for the '`Filtering Style`' class.

  See Also:
    `FilteringStyleImpl`, `NotationPackageImpl.getFilteringStyle()`, Constant Field Values
  ** Generated **

### FILTERING_STYLE__FILTERING

    public static final int FILTERING_STYLE__FILTERING

  The feature id for the 'Filtering' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILTERING_STYLE__FILTERING_KEYS

    public static final int FILTERING_STYLE__FILTERING_KEYS

  The feature id for the 'Filtering Keys' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILTERING_STYLE__FILTERED_OBJECTS

    public static final int FILTERING_STYLE__FILTERED_OBJECTS

  The feature id for the 'Filtered Objects' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILTERING_STYLE_FEATURE_COUNT

    public static final int FILTERING_STYLE_FEATURE_COUNT

  The number of structural features of the 'Filtering Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE

    public static final int DIAGRAM_STYLE

  The meta object id for the '`Diagram Style`' class.

  See Also:
    `DiagramStyleImpl`, `NotationPackageImpl.getDiagramStyle()`, Constant Field Values
  ** Generated **

### DIAGRAM_STYLE__PAGE_X

    public static final int DIAGRAM_STYLE__PAGE_X

  The feature id for the 'Page X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__PAGE_Y

    public static final int DIAGRAM_STYLE__PAGE_Y

  The feature id for the 'Page Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__PAGE_WIDTH

    public static final int DIAGRAM_STYLE__PAGE_WIDTH

  The feature id for the 'Page Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__PAGE_HEIGHT

    public static final int DIAGRAM_STYLE__PAGE_HEIGHT

  The feature id for the 'Page Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__HORIZONTAL_GUIDES

    public static final int DIAGRAM_STYLE__HORIZONTAL_GUIDES

  The feature id for the 'Horizontal Guides' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__VERTICAL_GUIDES

    public static final int DIAGRAM_STYLE__VERTICAL_GUIDES

  The feature id for the 'Vertical Guides' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__DESCRIPTION

    public static final int DIAGRAM_STYLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE_FEATURE_COUNT

    public static final int DIAGRAM_STYLE_FEATURE_COUNT

  The number of structural features of the 'Diagram Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_STYLE

    public static final int IMAGE_STYLE

  The meta object id for the '`Image Style`' class.

  See Also:
    `ImageStyleImpl`, `NotationPackageImpl.getImageStyle()`, Constant Field Values
  ** Generated **

### IMAGE_STYLE__ANTI_ALIAS

    public static final int IMAGE_STYLE__ANTI_ALIAS

  The feature id for the 'Anti Alias' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_STYLE__MAINTAIN_ASPECT_RATIO

    public static final int IMAGE_STYLE__MAINTAIN_ASPECT_RATIO

  The feature id for the 'Maintain Aspect Ratio' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_STYLE__CROP_BOUND

    public static final int IMAGE_STYLE__CROP_BOUND

  The feature id for the 'Crop Bound' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_STYLE_FEATURE_COUNT

    public static final int IMAGE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Image Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_BUFFER_STYLE

    public static final int IMAGE_BUFFER_STYLE

  The meta object id for the '`Image Buffer Style`' class.

  See Also:
    `ImageBufferStyleImpl`, `NotationPackageImpl.getImageBufferStyle()`, Constant Field Values
  ** Generated **

### IMAGE_BUFFER_STYLE__ANTI_ALIAS

    public static final int IMAGE_BUFFER_STYLE__ANTI_ALIAS

  The feature id for the 'Anti Alias' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_BUFFER_STYLE__MAINTAIN_ASPECT_RATIO

    public static final int IMAGE_BUFFER_STYLE__MAINTAIN_ASPECT_RATIO

  The feature id for the 'Maintain Aspect Ratio' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_BUFFER_STYLE__CROP_BOUND

    public static final int IMAGE_BUFFER_STYLE__CROP_BOUND

  The feature id for the 'Crop Bound' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_BUFFER_STYLE__IMAGE_BUFFER

    public static final int IMAGE_BUFFER_STYLE__IMAGE_BUFFER

  The feature id for the 'Image Buffer' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_BUFFER_STYLE_FEATURE_COUNT

    public static final int IMAGE_BUFFER_STYLE_FEATURE_COUNT

  The number of structural features of the 'Image Buffer Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING

    public static final int SORTING

  The meta object id for the '`Sorting`' enum.

  See Also:
    `Sorting`, `NotationPackageImpl.getSorting()`, Constant Field Values
  ** Generated **

### FILTERING

    public static final int FILTERING

  The meta object id for the '`Filtering`' enum.

  See Also:
    `Filtering`, `NotationPackageImpl.getFiltering()`, Constant Field Values
  ** Generated **

### ROUTING

    public static final int ROUTING

  The meta object id for the '`Routing`' enum.

  See Also:
    `Routing`, `NotationPackageImpl.getRouting()`, Constant Field Values
  ** Generated **

### SMOOTHNESS

    public static final int SMOOTHNESS

  The meta object id for the '`Smoothness`' enum.

  See Also:
    `Smoothness`, `NotationPackageImpl.getSmoothness()`, Constant Field Values
  ** Generated **

### JUMP_LINK_STATUS

    public static final int JUMP_LINK_STATUS

  The meta object id for the '`Jump Link Status`' enum.

  See Also:
    `JumpLinkStatus`, `NotationPackageImpl.getJumpLinkStatus()`, Constant Field Values
  ** Generated **

### JUMP_LINK_TYPE

    public static final int JUMP_LINK_TYPE

  The meta object id for the '`Jump Link Type`' enum.

  See Also:
    `JumpLinkType`, `NotationPackageImpl.getJumpLinkType()`, Constant Field Values
  ** Generated **

### ALIGNMENT

    public static final int ALIGNMENT

  The meta object id for the '`Alignment`' enum.

  See Also:
    `Alignment`, `NotationPackageImpl.getAlignment()`, Constant Field Values
  ** Generated **

### SORTING_DIRECTION

    public static final int SORTING_DIRECTION

  The meta object id for the '`Sorting Direction`' enum.

  See Also:
    `SortingDirection`, `NotationPackageImpl.getSortingDirection()`, Constant Field Values
  ** Generated **

### MEASUREMENT_UNIT

    public static final int MEASUREMENT_UNIT

  The meta object id for the '`Measurement Unit`' enum.

  See Also:
    `MeasurementUnit`, `NotationPackageImpl.getMeasurementUnit()`, Constant Field Values
  ** Generated **

### RELATIVE_BENDPOINT_LIST

    public static final int RELATIVE_BENDPOINT_LIST

  The meta object id for the 'Relative Bendpoint List' data type.

  See Also:
    `List`, `NotationPackageImpl.getRelativeBendpointList()`, Constant Field Values
  ** Generated **

### FILTER_KEY_LIST

    public static final int FILTER_KEY_LIST

  The meta object id for the 'Filter Key List' data type.

  See Also:
    `List`, `NotationPackageImpl.getFilterKeyList()`, Constant Field Values
  ** Generated **

### SORT_KEY_MAP

    public static final int SORT_KEY_MAP

  The meta object id for the 'Sort Key Map' data type.

  See Also:
    `Map`, `NotationPackageImpl.getSortKeyMap()`, Constant Field Values
  ** Generated **

Method Detail

### getEdge

    public EClass getEdge()

  Returns the meta object for class '`Edge`'.

  Returns:
    the meta object for class 'Edge'.
  See Also:
    `Edge`
  ** Generated **

### getEdge_Source

    public EReference getEdge_Source()

  Returns the meta object for the reference '`Source`'.

  Returns:
    the meta object for the reference 'Source'.
  See Also:
    `Edge.getSource()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_Target

    public EReference getEdge_Target()

  Returns the meta object for the reference '`Target`'.

  Returns:
    the meta object for the reference 'Target'.
  See Also:
    `Edge.getTarget()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_Bendpoints

    public EReference getEdge_Bendpoints()

  Returns the meta object for the containment reference '`Bendpoints`'.

  Returns:
    the meta object for the containment reference 'Bendpoints'.
  See Also:
    `Edge.getBendpoints()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_SourceAnchor

    public EReference getEdge_SourceAnchor()

  Returns the meta object for the containment reference '`Source Anchor`'.

  Returns:
    the meta object for the containment reference 'Source Anchor'.
  See Also:
    `Edge.getSourceAnchor()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_TargetAnchor

    public EReference getEdge_TargetAnchor()

  Returns the meta object for the containment reference '`Target Anchor`'.

  Returns:
    the meta object for the containment reference 'Target Anchor'.
  See Also:
    `Edge.getTargetAnchor()`, `NotationPackage.getEdge()`
  ** Generated **

### getNode

    public EClass getNode()

  Returns the meta object for class '`Node`'.

  Returns:
    the meta object for class 'Node'.
  See Also:
    `Node`
  ** Generated **

### getNode_LayoutConstraint

    public EReference getNode_LayoutConstraint()

  Returns the meta object for the containment reference '`Layout Constraint`'.

  Returns:
    the meta object for the containment reference 'Layout Constraint'.
  See Also:
    `Node.getLayoutConstraint()`, `NotationPackage.getNode()`
  ** Generated **

### getStyle

    public EClass getStyle()

  Returns the meta object for class '`Style`'.

  Returns:
    the meta object for class 'Style'.
  See Also:
    `Style`
  ** Generated **

### getFillStyle

    public EClass getFillStyle()

  Returns the meta object for class '`Fill Style`'.

  Returns:
    the meta object for class 'Fill Style'.
  See Also:
    `FillStyle`
  ** Generated **

### getFillStyle_FillColor

    public EAttribute getFillStyle_FillColor()

  Returns the meta object for the attribute '`Fill Color`'.

  Returns:
    the meta object for the attribute 'Fill Color'.
  See Also:
    `FillStyle.getFillColor()`, `NotationPackage.getFillStyle()`
  ** Generated **

### getLineStyle

    public EClass getLineStyle()

  Returns the meta object for class '`Line Style`'.

  Returns:
    the meta object for class 'Line Style'.
  See Also:
    `LineStyle`
  ** Generated **

### getLineStyle_LineColor

    public EAttribute getLineStyle_LineColor()

  Returns the meta object for the attribute '`Line Color`'.

  Returns:
    the meta object for the attribute 'Line Color'.
  See Also:
    `LineStyle.getLineColor()`, `NotationPackage.getLineStyle()`
  ** Generated **

### getFontStyle

    public EClass getFontStyle()

  Returns the meta object for class '`Font Style`'.

  Returns:
    the meta object for class 'Font Style'.
  See Also:
    `FontStyle`
  ** Generated **

### getFontStyle_FontColor

    public EAttribute getFontStyle_FontColor()

  Returns the meta object for the attribute '`Font Color`'.

  Returns:
    the meta object for the attribute 'Font Color'.
  See Also:
    `FontStyle.getFontColor()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_FontName

    public EAttribute getFontStyle_FontName()

  Returns the meta object for the attribute '`Font Name`'.

  Returns:
    the meta object for the attribute 'Font Name'.
  See Also:
    `FontStyle.getFontName()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_FontHeight

    public EAttribute getFontStyle_FontHeight()

  Returns the meta object for the attribute '`Font Height`'.

  Returns:
    the meta object for the attribute 'Font Height'.
  See Also:
    `FontStyle.getFontHeight()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_Bold

    public EAttribute getFontStyle_Bold()

  Returns the meta object for the attribute '`Bold`'.

  Returns:
    the meta object for the attribute 'Bold'.
  See Also:
    `FontStyle.isBold()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_Italic

    public EAttribute getFontStyle_Italic()

  Returns the meta object for the attribute '`Italic`'.

  Returns:
    the meta object for the attribute 'Italic'.
  See Also:
    `FontStyle.isItalic()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_Underline

    public EAttribute getFontStyle_Underline()

  Returns the meta object for the attribute '`Underline`'.

  Returns:
    the meta object for the attribute 'Underline'.
  See Also:
    `FontStyle.isUnderline()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_StrikeThrough

    public EAttribute getFontStyle_StrikeThrough()

  Returns the meta object for the attribute '`Strike Through`'.

  Returns:
    the meta object for the attribute 'Strike Through'.
  See Also:
    `FontStyle.isStrikeThrough()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getTitleStyle

    public EClass getTitleStyle()

  Returns the meta object for class '`Title Style`'.

  Returns:
    the meta object for class 'Title Style'.
  See Also:
    `TitleStyle`
  ** Generated **

### getTitleStyle_ShowTitle

    public EAttribute getTitleStyle_ShowTitle()

  Returns the meta object for the attribute '`Show Title`'.

  Returns:
    the meta object for the attribute 'Show Title'.
  See Also:
    `TitleStyle.isShowTitle()`, `NotationPackage.getTitleStyle()`
  ** Generated **

### getSortingStyle

    public EClass getSortingStyle()

  Returns the meta object for class '`Sorting Style`'.

  Returns:
    the meta object for class 'Sorting Style'.
  See Also:
    `SortingStyle`
  ** Generated **

### getSortingStyle_Sorting

    public EAttribute getSortingStyle_Sorting()

  Returns the meta object for the attribute '`Sorting`'.

  Returns:
    the meta object for the attribute 'Sorting'.
  See Also:
    `SortingStyle.getSorting()`, `NotationPackage.getSortingStyle()`
  ** Generated **

### getSortingStyle_SortingKeys

    public EAttribute getSortingStyle_SortingKeys()

  Returns the meta object for the attribute '`Sorting Keys`'.

  Returns:
    the meta object for the attribute 'Sorting Keys'.
  See Also:
    `SortingStyle.getSortingKeys()`, `NotationPackage.getSortingStyle()`
  ** Generated **

### getSortingStyle_SortedObjects

    public EReference getSortingStyle_SortedObjects()

  Returns the meta object for the reference list '`Sorted Objects`'.

  Returns:
    the meta object for the reference list 'Sorted Objects'.
  See Also:
    `SortingStyle.getSortedObjects()`, `NotationPackage.getSortingStyle()`
  ** Generated **

### getDescriptionStyle

    public EClass getDescriptionStyle()

  Returns the meta object for class '`Description Style`'.

  Returns:
    the meta object for class 'Description Style'.
  See Also:
    `DescriptionStyle`
  ** Generated **

### getDescriptionStyle_Description

    public EAttribute getDescriptionStyle_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `DescriptionStyle.getDescription()`, `NotationPackage.getDescriptionStyle()`
  ** Generated **

### getLayoutConstraint

    public EClass getLayoutConstraint()

  Returns the meta object for class '`Layout Constraint`'.

  Returns:
    the meta object for class 'Layout Constraint'.
  See Also:
    `LayoutConstraint`
  ** Generated **

### getSize

    public EClass getSize()

  Returns the meta object for class '`Size`'.

  Returns:
    the meta object for class 'Size'.
  See Also:
    `Size`
  ** Generated **

### getSize_Width

    public EAttribute getSize_Width()

  Returns the meta object for the attribute '`Width`'.

  Returns:
    the meta object for the attribute 'Width'.
  See Also:
    `Size.getWidth()`, `NotationPackage.getSize()`
  ** Generated **

### getSize_Height

    public EAttribute getSize_Height()

  Returns the meta object for the attribute '`Height`'.

  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `Size.getHeight()`, `NotationPackage.getSize()`
  ** Generated **

### getLocation

    public EClass getLocation()

  Returns the meta object for class '`Location`'.

  Returns:
    the meta object for class 'Location'.
  See Also:
    `Location`
  ** Generated **

### getLocation_X

    public EAttribute getLocation_X()

  Returns the meta object for the attribute '`X`'.

  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `Location.getX()`, `NotationPackage.getLocation()`
  ** Generated **

### getLocation_Y

    public EAttribute getLocation_Y()

  Returns the meta object for the attribute '`Y`'.

  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `Location.getY()`, `NotationPackage.getLocation()`
  ** Generated **

### getBounds

    public EClass getBounds()

  Returns the meta object for class '`Bounds`'.

  Returns:
    the meta object for class 'Bounds'.
  See Also:
    `Bounds`
  ** Generated **

### getRatio

    public EClass getRatio()

  Returns the meta object for class '`Ratio`'.

  Returns:
    the meta object for class 'Ratio'.
  See Also:
    `Ratio`
  ** Generated **

### getRatio_Value

    public EAttribute getRatio_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Ratio.getValue()`, `NotationPackage.getRatio()`
  ** Generated **

### getAnchor

    public EClass getAnchor()

  Returns the meta object for class '`Anchor`'.

  Returns:
    the meta object for class 'Anchor'.
  See Also:
    `Anchor`
  ** Generated **

### getBendpoints

    public EClass getBendpoints()

  Returns the meta object for class '`Bendpoints`'.

  Returns:
    the meta object for class 'Bendpoints'.
  See Also:
    `Bendpoints`
  ** Generated **

### getIdentityAnchor

    public EClass getIdentityAnchor()

  Returns the meta object for class '`Identity Anchor`'.

  Returns:
    the meta object for class 'Identity Anchor'.
  See Also:
    `IdentityAnchor`
  ** Generated **

### getIdentityAnchor_Id

    public EAttribute getIdentityAnchor_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `IdentityAnchor.getId()`, `NotationPackage.getIdentityAnchor()`
  ** Generated **

### getRoutingStyle

    public EClass getRoutingStyle()

  Returns the meta object for class '`Routing Style`'.

  Returns:
    the meta object for class 'Routing Style'.
  See Also:
    `RoutingStyle`
  ** Generated **

### getRoutingStyle_Routing

    public EAttribute getRoutingStyle_Routing()

  Returns the meta object for the attribute '`Routing`'.

  Returns:
    the meta object for the attribute 'Routing'.
  See Also:
    `RoutingStyle.getRouting()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_Smoothness

    public EAttribute getRoutingStyle_Smoothness()

  Returns the meta object for the attribute '`Smoothness`'.

  Returns:
    the meta object for the attribute 'Smoothness'.
  See Also:
    `RoutingStyle.getSmoothness()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_AvoidObstructions

    public EAttribute getRoutingStyle_AvoidObstructions()

  Returns the meta object for the attribute '`Avoid Obstructions`'.

  Returns:
    the meta object for the attribute 'Avoid Obstructions'.
  See Also:
    `RoutingStyle.isAvoidObstructions()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_ClosestDistance

    public EAttribute getRoutingStyle_ClosestDistance()

  Returns the meta object for the attribute '`Closest Distance`'.

  Returns:
    the meta object for the attribute 'Closest Distance'.
  See Also:
    `RoutingStyle.isClosestDistance()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinkStatus

    public EAttribute getRoutingStyle_JumpLinkStatus()

  Returns the meta object for the attribute '`Jump Link Status`'.

  Returns:
    the meta object for the attribute 'Jump Link Status'.
  See Also:
    `RoutingStyle.getJumpLinkStatus()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinkType

    public EAttribute getRoutingStyle_JumpLinkType()

  Returns the meta object for the attribute '`Jump Link Type`'.

  Returns:
    the meta object for the attribute 'Jump Link Type'.
  See Also:
    `RoutingStyle.getJumpLinkType()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinksReverse

    public EAttribute getRoutingStyle_JumpLinksReverse()

  Returns the meta object for the attribute '`Jump Links Reverse`'.

  Returns:
    the meta object for the attribute 'Jump Links Reverse'.
  See Also:
    `RoutingStyle.isJumpLinksReverse()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getView

    public EClass getView()

  Returns the meta object for class '`View`'.

  Returns:
    the meta object for class 'View'.
  See Also:
    `View`
  ** Generated **

### getView_Visible

    public EAttribute getView_Visible()

  Returns the meta object for the attribute '`Visible`'.

  Returns:
    the meta object for the attribute 'Visible'.
  See Also:
    `View.isVisible()`, `NotationPackage.getView()`
  ** Generated **

### getView_Type

    public EAttribute getView_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `View.getType()`, `NotationPackage.getView()`
  ** Generated **

### getView_Mutable

    public EAttribute getView_Mutable()

  Returns the meta object for the attribute '`Mutable`'.

  Returns:
    the meta object for the attribute 'Mutable'.
  See Also:
    `View.isMutable()`, `NotationPackage.getView()`
  ** Generated **

### getView_SourceEdges

    public EReference getView_SourceEdges()

  Returns the meta object for the reference list '`Source Edges`'.

  Returns:
    the meta object for the reference list 'Source Edges'.
  See Also:
    `View.getSourceEdges()`, `NotationPackage.getView()`
  ** Generated **

### getView_TargetEdges

    public EReference getView_TargetEdges()

  Returns the meta object for the reference list '`Target Edges`'.

  Returns:
    the meta object for the reference list 'Target Edges'.
  See Also:
    `View.getTargetEdges()`, `NotationPackage.getView()`
  ** Generated **

### getView_PersistedChildren

    public EReference getView_PersistedChildren()

  Returns the meta object for the containment reference list '`Persisted Children`'.

  Returns:
    the meta object for the containment reference list 'Persisted Children'.
  See Also:
    `View.getPersistedChildren()`, `NotationPackage.getView()`
  ** Generated **

### getView_Styles

    public EReference getView_Styles()

  Returns the meta object for the containment reference list '`Styles`'.

  Returns:
    the meta object for the containment reference list 'Styles'.
  See Also:
    `View.getStyles()`, `NotationPackage.getView()`
  ** Generated **

### getView_Element

    public EReference getView_Element()

  Returns the meta object for the reference '`Element`'.

  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `View.getElement()`, `NotationPackage.getView()`
  ** Generated **

### getView_Diagram

    public EReference getView_Diagram()

  Returns the meta object for the reference '`Diagram`'.

  Returns:
    the meta object for the reference 'Diagram'.
  See Also:
    `View.getDiagram()`, `NotationPackage.getView()`
  ** Generated **

### getView_TransientChildren

    public EReference getView_TransientChildren()

  Returns the meta object for the containment reference list '`Transient Children`'.

  Returns:
    the meta object for the containment reference list 'Transient Children'.
  See Also:
    `View.getTransientChildren()`, `NotationPackage.getView()`
  ** Generated **

### getRelativeBendpoints

    public EClass getRelativeBendpoints()

  Returns the meta object for class '`Relative Bendpoints`'.

  Returns:
    the meta object for class 'Relative Bendpoints'.
  See Also:
    `RelativeBendpoints`
  ** Generated **

### getRelativeBendpoints_Points

    public EAttribute getRelativeBendpoints_Points()

  Returns the meta object for the attribute '`Points`'.

  Returns:
    the meta object for the attribute 'Points'.
  See Also:
    `RelativeBendpoints.getPoints()`, `NotationPackage.getRelativeBendpoints()`
  ** Generated **

### getDiagram

    public EClass getDiagram()

  Returns the meta object for class '`Diagram`'.

  Returns:
    the meta object for class 'Diagram'.
  See Also:
    `Diagram`
  ** Generated **

### getDiagram_Name

    public EAttribute getDiagram_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Diagram.getName()`, `NotationPackage.getDiagram()`
  ** Generated **

### getDiagram_MeasurementUnit

    public EAttribute getDiagram_MeasurementUnit()

  Returns the meta object for the attribute '`Measurement Unit`'.

  Returns:
    the meta object for the attribute 'Measurement Unit'.
  See Also:
    `Diagram.getMeasurementUnit()`, `NotationPackage.getDiagram()`
  ** Generated **

### getDiagram_PersistedEdges

    public EReference getDiagram_PersistedEdges()

  Returns the meta object for the containment reference list '`Persisted Edges`'.

  Returns:
    the meta object for the containment reference list 'Persisted Edges'.
  See Also:
    `Diagram.getPersistedEdges()`, `NotationPackage.getDiagram()`
  ** Generated **

### getDiagram_TransientEdges

    public EReference getDiagram_TransientEdges()

  Returns the meta object for the containment reference list '`Transient Edges`'.

  Returns:
    the meta object for the containment reference list 'Transient Edges'.
  See Also:
    `Diagram.getTransientEdges()`, `NotationPackage.getDiagram()`
  ** Generated **

### getImage

    public EClass getImage()

  Returns the meta object for class '`Image`'.

  Returns:
    the meta object for class 'Image'.
  See Also:
    `Image`
  ** Generated **

### getImage_Data

    public EAttribute getImage_Data()

  Returns the meta object for the attribute '`Data`'.

  Returns:
    the meta object for the attribute 'Data'.
  See Also:
    `Image.getData()`, `NotationPackage.getImage()`
  ** Generated **

### getCanonicalStyle

    public EClass getCanonicalStyle()

  Returns the meta object for class '`Canonical Style`'.

  Returns:
    the meta object for class 'Canonical Style'.
  See Also:
    `CanonicalStyle`
  ** Generated **

### getCanonicalStyle_Canonical

    public EAttribute getCanonicalStyle_Canonical()

  Returns the meta object for the attribute '`Canonical`'.

  Returns:
    the meta object for the attribute 'Canonical'.
  See Also:
    `CanonicalStyle.isCanonical()`, `NotationPackage.getCanonicalStyle()`
  ** Generated **

### getShapeStyle

    public EClass getShapeStyle()

  Returns the meta object for class '`Shape Style`'.

  Returns:
    the meta object for class 'Shape Style'.
  See Also:
    `ShapeStyle`
  ** Generated **

### getConnectorStyle

    public EClass getConnectorStyle()

  Returns the meta object for class '`Connector Style`'.

  Returns:
    the meta object for class 'Connector Style'.
  See Also:
    `ConnectorStyle`
  ** Generated **

### getPageStyle

    public EClass getPageStyle()

  Returns the meta object for class '`Page Style`'.

  Returns:
    the meta object for class 'Page Style'.
  See Also:
    `PageStyle`
  ** Generated **

### getPageStyle_PageX

    public EAttribute getPageStyle_PageX()

  Returns the meta object for the attribute '`Page X`'.

  Returns:
    the meta object for the attribute 'Page X'.
  See Also:
    `PageStyle.getPageX()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getPageStyle_PageY

    public EAttribute getPageStyle_PageY()

  Returns the meta object for the attribute '`Page Y`'.

  Returns:
    the meta object for the attribute 'Page Y'.
  See Also:
    `PageStyle.getPageY()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getPageStyle_PageWidth

    public EAttribute getPageStyle_PageWidth()

  Returns the meta object for the attribute '`Page Width`'.

  Returns:
    the meta object for the attribute 'Page Width'.
  See Also:
    `PageStyle.getPageWidth()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getPageStyle_PageHeight

    public EAttribute getPageStyle_PageHeight()

  Returns the meta object for the attribute '`Page Height`'.

  Returns:
    the meta object for the attribute 'Page Height'.
  See Also:
    `PageStyle.getPageHeight()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getDrawerStyle

    public EClass getDrawerStyle()

  Returns the meta object for class '`Drawer Style`'.

  Returns:
    the meta object for class 'Drawer Style'.
  See Also:
    `DrawerStyle`
  ** Generated **

### getDrawerStyle_Collapsed

    public EAttribute getDrawerStyle_Collapsed()

  Returns the meta object for the attribute '`Collapsed`'.

  Returns:
    the meta object for the attribute 'Collapsed'.
  See Also:
    `DrawerStyle.isCollapsed()`, `NotationPackage.getDrawerStyle()`
  ** Generated **

### getGuideStyle

    public EClass getGuideStyle()

  Returns the meta object for class '`Guide Style`'.

  Returns:
    the meta object for class 'Guide Style'.
  See Also:
    `GuideStyle`
  ** Generated **

### getGuideStyle_HorizontalGuides

    public EReference getGuideStyle_HorizontalGuides()

  Returns the meta object for the containment reference list '`Horizontal Guides`'.

  Returns:
    the meta object for the containment reference list 'Horizontal Guides'.
  See Also:
    `GuideStyle.getHorizontalGuides()`, `NotationPackage.getGuideStyle()`
  ** Generated **

### getGuideStyle_VerticalGuides

    public EReference getGuideStyle_VerticalGuides()

  Returns the meta object for the containment reference list '`Vertical Guides`'.

  Returns:
    the meta object for the containment reference list 'Vertical Guides'.
  See Also:
    `GuideStyle.getVerticalGuides()`, `NotationPackage.getGuideStyle()`
  ** Generated **

### getGuide

    public EClass getGuide()

  Returns the meta object for class '`Guide`'.

  Returns:
    the meta object for class 'Guide'.
  See Also:
    `Guide`
  ** Generated **

### getGuide_Position

    public EAttribute getGuide_Position()

  Returns the meta object for the attribute '`Position`'.

  Returns:
    the meta object for the attribute 'Position'.
  See Also:
    `Guide.getPosition()`, `NotationPackage.getGuide()`
  ** Generated **

### getGuide_NodeMap

    public EReference getGuide_NodeMap()

  Returns the meta object for the map '`Node Map`'.

  Returns:
    the meta object for the map 'Node Map'.
  See Also:
    `Guide.getNodeMap()`, `NotationPackage.getGuide()`
  ** Generated **

### getNodeEntry

    public EClass getNodeEntry()

  Returns the meta object for class '`Node Entry`'.

  Returns:
    the meta object for class 'Node Entry'.
  See Also:
    `Map.Entry`
  ** Generated **
  Model:
    features="value key" valueType="org.eclipse.gmf.runtime.notation.Alignment" valueDefault="Center" keyType="org.eclipse.gmf.runtime.notation.Node" keyRequired="true"

### getNodeEntry_Value

    public EAttribute getNodeEntry_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Map.Entry`, `NotationPackage.getNodeEntry()`
  ** Generated **

### getNodeEntry_Key

    public EReference getNodeEntry_Key()

  Returns the meta object for the reference '`Key`'.

  Returns:
    the meta object for the reference 'Key'.
  See Also:
    `Map.Entry`, `NotationPackage.getNodeEntry()`
  ** Generated **

### getFilteringStyle

    public EClass getFilteringStyle()

  Returns the meta object for class '`Filtering Style`'.

  Returns:
    the meta object for class 'Filtering Style'.
  See Also:
    `FilteringStyle`
  ** Generated **

### getFilteringStyle_Filtering

    public EAttribute getFilteringStyle_Filtering()

  Returns the meta object for the attribute '`Filtering`'.

  Returns:
    the meta object for the attribute 'Filtering'.
  See Also:
    `FilteringStyle.getFiltering()`, `NotationPackage.getFilteringStyle()`
  ** Generated **

### getFilteringStyle_FilteringKeys

    public EAttribute getFilteringStyle_FilteringKeys()

  Returns the meta object for the attribute '`Filtering Keys`'.

  Returns:
    the meta object for the attribute 'Filtering Keys'.
  See Also:
    `FilteringStyle.getFilteringKeys()`, `NotationPackage.getFilteringStyle()`
  ** Generated **

### getFilteringStyle_FilteredObjects

    public EReference getFilteringStyle_FilteredObjects()

  Returns the meta object for the reference list '`Filtered Objects`'.

  Returns:
    the meta object for the reference list 'Filtered Objects'.
  See Also:
    `FilteringStyle.getFilteredObjects()`, `NotationPackage.getFilteringStyle()`
  ** Generated **

### getDiagramStyle

    public EClass getDiagramStyle()

  Returns the meta object for class '`Diagram Style`'.

  Returns:
    the meta object for class 'Diagram Style'.
  See Also:
    `DiagramStyle`
  ** Generated **

### getImageStyle

    public EClass getImageStyle()

  Returns the meta object for class '`Image Style`'.

  Returns:
    the meta object for class 'Image Style'.
  See Also:
    `ImageStyle`
  ** Generated **

### getImageStyle_AntiAlias

    public EAttribute getImageStyle_AntiAlias()

  Returns the meta object for the attribute '`Anti Alias`'.

  Returns:
    the meta object for the attribute 'Anti Alias'.
  See Also:
    `ImageStyle.getAntiAlias()`, `NotationPackage.getImageStyle()`
  ** Generated **

### getImageStyle_MaintainAspectRatio

    public EAttribute getImageStyle_MaintainAspectRatio()

  Returns the meta object for the attribute '`Maintain Aspect Ratio`'.

  Returns:
    the meta object for the attribute 'Maintain Aspect Ratio'.
  See Also:
    `ImageStyle.getMaintainAspectRatio()`, `NotationPackage.getImageStyle()`
  ** Generated **

### getImageStyle_CropBound

    public EReference getImageStyle_CropBound()

  Returns the meta object for the containment reference '`Crop Bound`'.

  Returns:
    the meta object for the containment reference 'Crop Bound'.
  See Also:
    `ImageStyle.getCropBound()`, `NotationPackage.getImageStyle()`
  ** Generated **

### getImageBufferStyle

    public EClass getImageBufferStyle()

  Returns the meta object for class '`Image Buffer Style`'.

  Returns:
    the meta object for class 'Image Buffer Style'.
  See Also:
    `ImageBufferStyle`
  ** Generated **

### getImageBufferStyle_ImageBuffer

    public EReference getImageBufferStyle_ImageBuffer()

  Returns the meta object for the containment reference '`Image Buffer`'.

  Returns:
    the meta object for the containment reference 'Image Buffer'.
  See Also:
    `ImageBufferStyle.getImageBuffer()`, `NotationPackage.getImageBufferStyle()`
  ** Generated **

### getSorting

    public EEnum getSorting()

  Returns the meta object for enum '`Sorting`'.

  Returns:
    the meta object for enum 'Sorting'.
  See Also:
    `Sorting`
  ** Generated **

### getFiltering

    public EEnum getFiltering()

  Returns the meta object for enum '`Filtering`'.

  Returns:
    the meta object for enum 'Filtering'.
  See Also:
    `Filtering`
  ** Generated **

### getRouting

    public EEnum getRouting()

  Returns the meta object for enum '`Routing`'.

  Returns:
    the meta object for enum 'Routing'.
  See Also:
    `Routing`
  ** Generated **

### getSmoothness

    public EEnum getSmoothness()

  Returns the meta object for enum '`Smoothness`'.

  Returns:
    the meta object for enum 'Smoothness'.
  See Also:
    `Smoothness`
  ** Generated **

### getJumpLinkStatus

    public EEnum getJumpLinkStatus()

  Returns the meta object for enum '`Jump Link Status`'.

  Returns:
    the meta object for enum 'Jump Link Status'.
  See Also:
    `JumpLinkStatus`
  ** Generated **

### getJumpLinkType

    public EEnum getJumpLinkType()

  Returns the meta object for enum '`Jump Link Type`'.

  Returns:
    the meta object for enum 'Jump Link Type'.
  See Also:
    `JumpLinkType`
  ** Generated **

### getAlignment

    public EEnum getAlignment()

  Returns the meta object for enum '`Alignment`'.

  Returns:
    the meta object for enum 'Alignment'.
  See Also:
    `Alignment`
  ** Generated **

### getSortingDirection

    public EEnum getSortingDirection()

  Returns the meta object for enum '`Sorting Direction`'.

  Returns:
    the meta object for enum 'Sorting Direction'.
  See Also:
    `SortingDirection`
  ** Generated **

### getMeasurementUnit

    public EEnum getMeasurementUnit()

  Returns the meta object for enum '`Measurement Unit`'.

  Returns:
    the meta object for enum 'Measurement Unit'.
  See Also:
    `MeasurementUnit`
  ** Generated **

### getRelativeBendpointList

    public EDataType getRelativeBendpointList()

  Returns the meta object for data type '`Relative Bendpoint List`'.

  Returns:
    the meta object for data type 'Relative Bendpoint List'.
  See Also:
    `List`
  ** Generated **
  Model:
    instanceClass="java.util.List"

### getFilterKeyList

    public EDataType getFilterKeyList()

  Returns the meta object for data type '`Filter Key List`'.

  Returns:
    the meta object for data type 'Filter Key List'.
  See Also:
    `List`
  ** Generated **
  Model:
    instanceClass="java.util.List"

### getSortKeyMap

    public EDataType getSortKeyMap()

  Returns the meta object for data type '`Sort Key Map`'.

  Returns:
    the meta object for data type 'Sort Key Map'.
  See Also:
    `Map`
  ** Generated **
  Model:
    instanceClass="java.util.Map"

### getNotationFactory

    public NotationFactory getNotationFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.